Holger's Java API

## com.antelmann.calendar
Class AlertTimer

    java.lang.Object
      com.antelmann.calendar.AlertTimer

    public class AlertTimer

extends Object

AlertTimer is a singleton

Author:
  Holger Antelmann
See Also:
  `getAlertTimer()`

Method Summary
`void` `addAlertHandler(AlertHandler ah)`
`protected void` `alertAcknowledged(Alert alert)`
`void` `cancel()` terminates the AlertTimer
`List<AlertHandler>` `getAlertHandler()`
`static AlertTimer` `getAlertTimer()`
`int` `purge()` purges all alerts
`boolean` `removeAlertHandler(AlertHandler ah)`
`void` `scheduleAlert(Alert alert)` only non-acknowledged alerts will be processed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlertTimer

    public static AlertTimer getAlertTimer()

### purge

    public int purge()

  purges all alerts

  See Also:
    `Timer.purge()`

### cancel

    public void cancel()

  terminates the AlertTimer

  See Also:
    `Timer.purge()`

### getAlertHandler

    public List<AlertHandler> getAlertHandler()

### removeAlertHandler

    public boolean removeAlertHandler(AlertHandler ah)

### addAlertHandler

    public void addAlertHandler(AlertHandler ah)

### scheduleAlert

    public void scheduleAlert(Alert alert)

  only non-acknowledged alerts will be processed

### alertAcknowledged

    protected void alertAcknowledged(Alert alert)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads